See the .cabal file for more info and link to project website the version
control.

The official download location is Hackage:

<http://hackage.haskell.org/package/webfinger-client>

This library is free software, and is committed to software freedom. It is
released to the public domain using the CC0 Public Domain Dedication. For the
boring "legal" details see the file 'COPYING'.

See the file 'INSTALL' for hints on installation. The file 'ChangeLog' explains
how to see the history log of the changes done in the code. 'NEWS' provides a
friendly overview of the changes for each release.

## Example Usage

Here is a simple example of how to use the `webfinger-client` library:

```haskell
{-# LANGUAGE OverloadedStrings #-}

module Main where

import Data.Default
import Web.Finger.Client

query :: Query
query = def { qryTarget = resource }
  where
    resource = ResAccount (Account "curry" "hackers.pub")

main :: IO ()
main = do
  manager <- newManager
  result <- webfinger manager query
  print result
```

This code uses the WebFinger protocol to query information about a specified
resource and prints the result. The qryTarget is set to an Account, and in
this example, it queries the account "curry" on the domain hackers.pub.
